""" 
Freedom request

This module parses request line into request dict.

@copyright: 2011 Nir Soffer <nirsof@gmail.com>, Erez Waisbard <waisbard@gmail.com>
@license: GNU GPL, see COPYING for details.
"""

class error(Exception):
    pass

def parse(line):
    line = line.strip()
    if not line:
        raise error('empty request')
    args = line.split(None)
    url = args.pop(0)
    # XXX We probably need to support additional schemas
    if not url.startswith('http://'):
        raise error('invalid request URL: %r' % url)
    req = {}
    req['url'] = url
    if '-a' in args or '--attach' in args:
        req['attach'] = True
    return req

