import py.test
from freedom import request

def test_default():
    req = request.parse('http://example.com')
    assert req['url'] == 'http://example.com'

def test_attach_short():
    req = request.parse('http://example.com -a')
    assert req['url'] == 'http://example.com'
    assert req['attach'] == True

def test_attach_long():
    req = request.parse('http://example.com --attach')
    assert req['url'] == 'http://example.com'
    assert req['attach'] == True

def test_forward_compatible():
    req = request.parse('http://example.com --future-option --attach')
    assert req['url'] == 'http://example.com'
    assert req['attach'] == True

def test_whitespace():
    req = request.parse(' \n \r \r\n \t http://example.com \t \r \n \r\n ')
    assert req['url'] == 'http://example.com'

def test_empty_request():
    py.test.raises(request.error, request.parse, '')

def test_whitespace_request():
    py.test.raises(request.error, request.parse, ' \t \n \r \r\n ')

def test_invalid_request():
    py.test.raises(request.error, request.parse, 'junk --attach')

